package com.ruoyi.common.core.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 附件信息对象 image_data
 * 
 * @author boman
 * @date 2021-12-24
 */
public class ImageDatas extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 附件ID */
    private Long imageId;
    /**
     * 新闻id
     */
    private Integer newsId;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String imageName;

    /** 附件内容 */
    @Excel(name = "附件内容")
    private String imageContent;
    /**
     * 附件简介
     */
    @Excel(name = "附件简介")
    private String imageIntroduce;

    /** 附件状态（0正常 1停用） */
    @Excel(name = "附件状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 附件类型（0首页大图,1轮播图） */
    @Excel(name = "附件类型", readConverterExp = "0=首页大图,1轮播图")
    private String type;

    /** 是否删除（N正常 Y删除） */
    @Excel(name = "是否删除", readConverterExp = "N=正常,Y=删除")
    private String isDel;

    public Integer getNewsId() {
        return newsId;
    }

    public void setNewsId(Integer newsId) {
        this.newsId = newsId;
    }

    public String getImageIntroduce() {
        return imageIntroduce;
    }

    public void setImageIntroduce(String imageIntroduce) {
        this.imageIntroduce = imageIntroduce;
    }

    public void setImageId(Long imageId)
    {
        this.imageId = imageId;
    }

    public Long getImageId() 
    {
        return imageId;
    }
    public void setImageName(String imageName) 
    {
        this.imageName = imageName;
    }

    public String getImageName() 
    {
        return imageName;
    }
    public void setImageContent(String imageContent) 
    {
        this.imageContent = imageContent;
    }

    public String getImageContent() 
    {
        return imageContent;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("imageId", getImageId())
            .append("imageName", getImageName())
            .append("imageContent", getImageContent())
            .append("status", getStatus())
            .append("type", getType())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
